import request from '@/utils/request'

// 查询对接平台配置信息列表
export function listThirdPartyConfig(query) {
    return request({
        url: '/thirdParty/thirdPartyConfig/list',
        method: 'get',
        params: query
    })
}

// 查询对接平台配置信息详细
export function getThirdPartyConfig(id) {
    return request({
        url: '/thirdParty/thirdPartyConfig/' + id,
        method: 'get'
    })
}

// 新增对接平台配置信息
export function addThirdPartyConfig(data) {
    return request({
        url: '/thirdParty/thirdPartyConfig',
        method: 'post',
        data: data
    })
}

// 修改对接平台配置信息
export function updateThirdPartyConfig(data) {
    return request({
        url: '/thirdParty/thirdPartyConfig',
        method: 'put',
        data: data
    })
}

// 删除对接平台配置信息
export function delThirdPartyConfig(id) {
    return request({
        url: '/thirdParty/thirdPartyConfig/' + id,
        method: 'delete'
    })
}
